<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Sophia After Dark
 * @since 1.0.0
 */

declare(strict_types=1);

get_header();

$archive_style = get_theme_mod('sophia_after_dark_archive_style', 'sad-archive--masonry-style');

?>

<div class="sad-page-content-wrapper">
	<div itemscope id="primary" class="content-area">
		<main id="main" class="site-main">

			<?php if ('sad-archive--block-grid-style' === $archive_style): ?>
				<div class="archive-grid-post-wrapper">
			<?php endif; ?>

			<?php if (have_posts()): ?>

				<?php if ('sad-archive--masonry-style' === $archive_style): ?>
					<div class="sophia-after-dark-content-masonry">
						<div id="sad-masonry">
				<?php endif; ?>

				<?php
				while (have_posts()):
					the_post();
					get_template_part('template-parts/content', get_post_format());
				endwhile;
				?>

				<?php if ('sad-archive--masonry-style' === $archive_style): ?>
						</div> 
					</div> 
				<?php endif; ?>

				<?php the_posts_pagination(); ?>

			<?php else: ?>
				<?php get_template_part('template-parts/content', 'none'); ?>
			<?php endif; ?>

			<?php if ('sad-archive--block-grid-style' === $archive_style): ?>
				</div> 
			<?php endif; ?>

		</main>
	</div>
	<?php get_sidebar(); ?>
</div>

<?php get_footer(); ?>
