<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Sophia After Dark
 * @since 1.0.0
 */
get_header();
?>
<div class="sad-page-content-wrapper">
	<div id="primary" class="content-area" itemscope itemtype="https://schema.org/WebPage">
		<main id="main" class="site-main" role="main" aria-label="<?php esc_attr_e( 'Page Content', 'sophia-after-dark' ); ?>">

			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content', 'page' );

				// Load comments if open or at least one exists.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
			endwhile;
			?>

		</main>
	</div>

	<?php get_sidebar(); ?>
</div>

<?php
get_footer();
