<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Sophia After Dark
 * @since 1.0.0
 */
$archive_style = get_theme_mod( 'sophia_after_dark_archive_style', 'sad-archive--masonry-style' );
get_header();
?>
<div class="sad-page-content-wrapper">
	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main" aria-label="<?php esc_attr_e( 'Search Results', 'sophia-after-dark' ); ?>">

			<?php
			if ( 'sad-archive--block-grid-style' === $archive_style ) {
				echo '<div class="archive-grid-post-wrapper">';
			}

			if ( have_posts() ) :
				if ( 'sad-archive--masonry-style' === $archive_style ) :
			?>
					<div class="sophia-after-dark-content-masonry">
						<div id="sad-masonry">
			<?php
				endif;

				/* Start the Loop */
				while ( have_posts() ) :
					the_post();
					get_template_part( 'template-parts/content', 'search' );
				endwhile;

				if ( 'sad-archive--masonry-style' === $archive_style ) :
			?>
						</div>
					</div>
			<?php
				endif;

				the_posts_pagination();

			else :
				get_template_part( 'template-parts/content', 'none' );

			endif;

			if ( 'sad-archive--block-grid-style' === $archive_style ) {
				echo '</div>';
			}
			?>

		</main>
	</section>

	<?php get_sidebar(); ?>
</div>

<?php
get_footer();
