<?php
/**
 * Displays Author bio on single post
 *
 * @package Sophia After Dark
 * @since 1.0.0
 */

$author_id         = get_the_author_meta( 'ID' );
$author_avatar     = get_avatar( $author_id, 'thumbnail' );
$author_post_link  = get_the_author_posts_link();
$author_bio        = get_the_author_meta( 'description' );
$author_url        = get_the_author_meta( 'user_url' );
?>

<div class="sad-author-box">
	<?php if ( $author_avatar ) : ?>
		<div itemprop="image" class="sad-author__avatar">
			<?php echo wp_kses_post( $author_avatar ); ?>
		</div>
	<?php endif; ?>

	<div class="sad-author-info">
		<?php if ( $author_post_link ) : ?>
			<h5 itemprop="name" class="sad-author-name"><?php echo wp_kses_post( $author_post_link ); ?></h5>
		<?php endif; ?>

		<?php if ( $author_bio ) : ?>
			<div class="sad-author-bio">
				<?php echo wp_kses_post( $author_bio ); ?>
			</div>
		<?php endif; ?>

		<?php if ( $author_url ) : ?>
			<div class="sad-author-meta">
				<div class="sad-author-website">
					<span><?php esc_html_e( 'Website', 'sophia-after-dark' ); ?>:</span>
					<a href="<?php echo esc_url( $author_url ); ?>" target="_blank" rel="noopener noreferrer">
						<?php echo esc_url( $author_url ); ?>
					</a>
				</div>
			</div>
		<?php endif; ?>
	</div>
</div>