<?php
/**
 * Shows related posts on single post page
 *
 * @package Sophia After Dark
 * @since 1.0.0
 */
global $post;
$related_post_id = get_the_ID();
$get_categories  = get_the_terms( $related_post_id, 'category' );
$selected_cat    = ! empty( $get_categories ) && is_array( $get_categories ) ? wp_list_pluck( $get_categories, 'term_id' ) : [];

$related_posts_count = apply_filters( 'sophia_after_dark_related_posts_count', 3 );
$related_posts_title = apply_filters( 'sophia_after_dark_related_posts_section_title', __( 'Related Posts', 'sophia-after-dark' ) );

$related_posts_args = [
	'posts_per_page' => absint( $related_posts_count ),
	'post__not_in'   => [ $related_post_id ],
	'category__in'   => $selected_cat,
];

$related_posts_query = new WP_Query( $related_posts_args );

if ( $related_posts_query->have_posts() ) :
?>
	<section class="sad-single-related-posts">
		<h2 class="sad-related-post-title"><?php echo esc_html( $related_posts_title ); ?></h2>

		<div class="sad-related-posts-wrapper">
			<?php
				while ( $related_posts_query->have_posts() ) :
					$related_posts_query->the_post();
					get_template_part( 'template-parts/related/content', 'related' );
				endwhile;
			?>
		</div>
	</section>
<?php
endif;

wp_reset_postdata();
